Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.sensorml
Class ComponentDescription

    java.lang.Object
      org.deegree.ogcwebservices.sos.sensorml.ComponentDescription

    public class ComponentDescription

extends Object

represents a ComponentDescription; please read the SensorML spec

Author:
  Matthias Kulbe

Constructor Summary
`ComponentDescription(String id, CitedResponsibleParty[] manufacturedBy, CitedResponsibleParty[] deployedBy, CitedResponsibleParty[] operatedBy, Discussion[] description, Reference[] reference)`

Method Summary
`CitedResponsibleParty[]` | `getDeployedBy()`
`Discussion[]` | `getDescription()`
`String` | `getId()`
`CitedResponsibleParty[]` | `getManufacturedBy()`
`CitedResponsibleParty[]` | `getOperatedBy()`
`Reference[]` | `getReference()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentDescription

    public ComponentDescription(String id,
                                CitedResponsibleParty[] manufacturedBy,
                                CitedResponsibleParty[] deployedBy,
                                CitedResponsibleParty[] operatedBy,
                                Discussion[] description,
                                Reference[] reference)

Parameters:
  `id` -
  `manufacturedBy` -
  `deployedBy` -
  `operatedBy` -
  `description` -
  `reference` -

Method Detail

### getDeployedBy

    public CitedResponsibleParty[] getDeployedBy()

  Returns:
    deployed by

### getDescription

    public Discussion[] getDescription()

  Returns:
    descriptions

### getId

    public String getId()

  Returns:
    identifier

### getManufacturedBy

    public CitedResponsibleParty[] getManufacturedBy()

  Returns:
    manufactured by

### getOperatedBy

    public CitedResponsibleParty[] getOperatedBy()

  Returns:
    operated by

### getReference

    public Reference[] getReference()

  Returns:
    references

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org